Tablet Application Requirements


To download the iFit Smart Cardio Tablet Application, you will need a compatible tablet or iPad. For Android Tablets, you will need Android 5.1 or higher. For the Apple iPad, you will need iOS version 10.0 or higher. For either system, you will also need Bluetooth 4.0 or higher. Unfortunately, any Windows-based tablets and Kindles are not compatible with this application!

Have more questions? Submit a request